## com.crystaldecisions.sdk.occa.report.exportoptions
Class ExportOptions

    java.lang.Object
      com.crystaldecisions.sdk.occa.report.exportoptions.ExportOptions

All Implemented Interfaces:
  IClone, IExportOptions

public class ExportOptions
extends java.lang.Object
implements IExportOptions, IClone

This object provides properties and methods for retrieving information and setting options for exporting your report (such as export format and destination). When possible, use the `IExportOptions` interface.

Constructor Summary
`ExportOptions()`

Method Summary
`java.lang.Object` | `clone(boolean deepClone)` Returns the new object that has been cloned.
`void` | `copyTo(java.lang.Object destObject, boolean deepCopy)` Copies the object.
`ReportExportFormat` | `getExportFormatType()` Returns the format type for the exported report (for example, text, Excel, etc.).
`java.lang.Object` | `getFormatOptions()` Returns the formatting options specified for the export format type.
`boolean` | `hasContent(java.lang.Object obj)` Returns `true` if this object contains the same elements as the passed in object.
`void` | `setExportFormatType(ReportExportFormat exportFormatType)` Sets the format type for the exported report (for example, text, Excel, etc.).
`void` | `setFormatOptions(java.lang.Object formatOptions)` Sets the formatting options specified for the export format type.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExportOptions

    public ExportOptions()

Method Detail

### clone

    public java.lang.Object clone(boolean deepClone)

  Description copied from interface: `IClone`

  Returns the new object that has been cloned.

  Specified by:
    `clone` in interface `IClone`
  Parameters:
    `deepClone` - `true` to use deep clone, `false` to use shallow.
  Returns:
    The new object that has been cloned.

### copyTo

    public void copyTo(java.lang.Object destObject,
                       boolean deepCopy)

  Description copied from interface: `IClone`

  Copies the object.

  Specified by:
    `copyTo` in interface `IClone`
  Parameters:
    `destObject` - The destination object to copy to.
    `deepCopy` - `true` to use deep copy, `false` to use shallow.

### getExportFormatType

    public ReportExportFormat getExportFormatType()

  Description copied from interface: `IExportOptions`

  Returns the format type for the exported report (for example, text, Excel, etc.).

  Specified by:
    `getExportFormatType` in interface `IExportOptions`
  Returns:
    A `ReportExportFormat` object that specifies the format type of the exported report.

### getFormatOptions

    public java.lang.Object getFormatOptions()

  Description copied from interface: `IExportOptions`

  Returns the formatting options specified for the export format type.

  Specified by:
    `getFormatOptions` in interface `IExportOptions`
  Returns:
    An `Object` that specifies the formatting options specified for the export format type.

### hasContent

    public boolean hasContent(java.lang.Object obj)

  Description copied from interface: `IClone`

  Returns `true` if this object contains the same elements as the passed in object.

  Specified by:
    `hasContent` in interface `IClone`
  Parameters:
    `obj` - The object to check for content.
  Returns:
    `true` if this object contains the same elements as the passed in object, otherwise `false`.

### setExportFormatType

    public void setExportFormatType(ReportExportFormat exportFormatType)

  Description copied from interface: `IExportOptions`

  Sets the format type for the exported report (for example, text, Excel, etc.).

  Specified by:
    `setExportFormatType` in interface `IExportOptions`
  Parameters:
    `exportFormatType` - A `ReportExportFormat` object that specifies the format type of the exported report.

### setFormatOptions

    public void setFormatOptions(java.lang.Object formatOptions)

  Description copied from interface: `IExportOptions`

  Sets the formatting options specified for the export format type.

  Specified by:
    `setFormatOptions` in interface `IExportOptions`
  Parameters:
    `formatOptions` - An `Object` that specifies the formatting options specified for the export format type.